Bug 1533846 - [RFE] Turn on upstream tests for rsync
Summary: [RFE] Turn on upstream tests for rsync
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ruprich 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-12 11:18 UTC by Michal Ruprich 🐧
Modified: 2019-10-26 17:24 UTC (History)
4 users (show)

Fixed In Version: rsync-3.1.3-9.fc30 rsync-3.1.3-8.fc29 rsync-3.1.3-10.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 16:59:58 UTC


Attachments (Terms of Use)
Upgraded patch (5.12 KB, patch)
2019-10-10 08:19 UTC, Michal Ruprich 🐧
no flags Details | Diff

Description Michal Ruprich 🐧 2018-01-12 11:18:11 UTC
Description of problem:
We should turn on the upstream tests in the spec file so that these are run on every build. The only problem is the --noatime option that was added in the 3.1.0 version because the tests won't compile with the patch for this option. This option was added to rsync in Fedora even though it was never approved by the upstream. 

The --noatime option was added due to this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1233893

But the upstream bug is still unresolved:
https://bugzilla.samba.org/show_bug.cgi?id=7249

I guess we'll wait until upstream decides what to do with this option.

Version-Release number of selected component (if applicable):
rsync-3.1.2

How reproducible:
always when building the package with tests on

Steps to Reproduce:
1. add %check section into the spec file
2. put make check command into the %check section
3. build the package

Actual results:
The build will fail with undefined reference to noatime variable

Expected results:
The build should finish successfully

Additional info:
It seems that the order in which the source files are compiled in the make check section of the Makefile is wrong. The newly added noatime variable is then regarded as undefined.

Comment 1 Ben Cotton 2018-11-27 17:30:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 19:11:47 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Michal Ruprich 🐧 2019-10-10 08:18:32 UTC
Opening this again. There is a new patch in the upstream bug that solves the problem with make check. Adding the patch and enabling the tests. I am keeping the --no-atime option in rsync but this is still NOT approved by the upstream.

Comment 4 Michal Ruprich 🐧 2019-10-10 08:19:52 UTC
Created attachment 1624192 [details]
Upgraded patch

Comment 5 Fedora Update System 2019-10-10 09:05:45 UTC
FEDORA-2019-c99632a79d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c99632a79d

Comment 6 Fedora Update System 2019-10-10 09:05:48 UTC
FEDORA-2019-d457be29c5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d457be29c5

Comment 7 Fedora Update System 2019-10-10 14:34:05 UTC
rsync-3.1.3-10.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c99632a79d

Comment 8 Fedora Update System 2019-10-10 16:04:03 UTC
rsync-3.1.3-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b54a9b5130

Comment 9 Fedora Update System 2019-10-10 17:29:37 UTC
rsync-3.1.3-9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d457be29c5

Comment 10 Fedora Update System 2019-10-25 16:59:58 UTC
rsync-3.1.3-9.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-25 18:06:33 UTC
rsync-3.1.3-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-26 17:24:28 UTC
rsync-3.1.3-10.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.